libxkbcommon 1.11.0 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Public Member Functions
xkb_compose_table_entry Struct Reference
Compose and dead-keys support

`#include <xkbcommon-compose.h>`

## Public Member Functions
XKB_EXPORT const xkb_keysym_t * | xkb_compose_table_entry_sequence (struct xkb_compose_table_entry *entry, size_t *sequence_length)
XKB_EXPORT xkb_keysym_t | xkb_compose_table_entry_keysym (struct xkb_compose_table_entry *entry)
XKB_EXPORT const char * | xkb_compose_table_entry_utf8 (struct xkb_compose_table_entry *entry)

## Detailed Description

Opaque Compose table entry object.

Represents a single entry in a Compose file in the iteration API. It is immutable.

See also
  xkb_compose_table_iterator_new

Since
  1.6.0

The documentation for this struct was generated from the following file:

- include/xkbcommon/xkbcommon-compose.h